Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Class BasicArray.UnmodifiableListIterator

    java.lang.Object
      org.infinispan.schematic.internal.document.BasicArray.UnmodifiableListIterator

All Implemented Interfaces:
  Iterator<Object>, ListIterator<Object>

Enclosing class:
  BasicArray

    protected static final class BasicArray.UnmodifiableListIterator

extends Object
implements ListIterator<Object>

Constructor Summary
`protected` | `BasicArray.UnmodifiableListIterator(ListIterator<Object> delegate)`

Method Summary
`void` | `add(Object e)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`Object` | `next()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(Object e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicArray.UnmodifiableListIterator

    protected BasicArray.UnmodifiableListIterator(ListIterator<Object> delegate)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<Object>`
  Specified by:
    `hasNext` in interface `ListIterator<Object>`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator<Object>`
  Specified by:
    `next` in interface `ListIterator<Object>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<Object>`
  Specified by:
    `remove` in interface `ListIterator<Object>`

### add

    public void add(Object e)

  Specified by:
    `add` in interface `ListIterator<Object>`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator<Object>`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator<Object>`

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator<Object>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator<Object>`

### set

    public void set(Object e)

  Specified by:
    `set` in interface `ListIterator<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.